<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"  crossorigin="anonymous"></script>
    <title>Buy a used ticket</title>
</head>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <div class="container-fluid">
    <a class="navbar-brand" href="/">Ticketing System</a>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" href="/events">Events</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/verification">Verification</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/sellATicket">Sell your ticket</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="usedTickets">Buy a used ticket</a>
        </li>
      </ul>
    </div>
  </div>
</nav>
<div class="container">
  <div class="row">
    <div class="col-md-6 offset-md-3 mt-5">
      <h2 class="text-center mb-4">Get Used Tickets</h2>
      <div class="input-group mb-3">
        <label for="usedTicketsEventId" class="input-group-text">Event ID:</label>
        <input type="number" class="form-control" id="usedTicketsEventId" name="usedTicketsEventId">
        <button class="btn btn-primary" onclick="getUsedTickets()">Get Used Tickets</button>
      </div>
      <div id="usedTicketsContainer" class="mb-5"></div>

      <h2 class="text-center mb-4">Buy Used Ticket</h2>
      <form id="buyUsedTicketForm">
        <div class="mb-3">
          <label for="userAddress" class="form-label">Your Address:</label>
          <input type="text" class="form-control" id="userAddress" name="userAddress">
        </div>
        <div class="mb-3">
          <label for="eventId" class="form-label">Event ID:</label>
          <input type="number" class="form-control" id="eventId" name="eventId">
        </div>
        <div class="mb-3">
          <label for="buyPrice" class="form-label">Price (in wei):</label>
          <input type="number" class="form-control" id="buyPrice" name="price">
        </div>
        <button type="submit" class="btn btn-primary">Buy Used Ticket</button>
      </form>
    </div>
  </div>
</div>
<script>
    document.getElementById('buyUsedTicketForm').addEventListener('submit', async (event) => {
      event.preventDefault();
      const eventId = event.target.eventId.value;
      const price = event.target.price.value;
      const account = event.target.userAddress.value;
  
      const response = await fetch('/buyUsedTicket', {
        method: 'POST',
        headers: { 'Content-Type': 'application/json' },
        body: JSON.stringify({ eventId, price, account }),
      });
  
      const result = await response.json();
  
      if (result.success) {
        console.log('Used ticket bought successfully. Transaction receipt:', result.txReceipt);
      } else {
        console.error('Error buying used ticket:', result.error);
      }
    });
    async function getUsedTickets() {
  const eventId = document.getElementById("usedTicketsEventId").value;
  try {
    const response = await fetch(`/getUsedTickets/${eventId}`);
    const usedTickets = await response.json();
    const usedTicketsContainer = document.getElementById("usedTicketsContainer");

    usedTicketsContainer.innerHTML = '<h3>Used Tickets for Event ID: ' + eventId + '</h3>';
    usedTickets.forEach(ticket => {
      usedTicketsContainer.innerHTML += `
        <div>
          <p>Ticket ID: ${ticket.id}</p>
          <p>Holder: ${ticket.holder}</p>
          <p>Price (in wei): ${ticket.price}</p>
          <p>Event ID: ${ticket.eventId}</p>
        </div>
      `;
    });
  } catch (error) {
    console.error("Error fetching used tickets:", error);
  }
}

  </script>
</body>
</html>